<!DOCTYPE html>
<html>
<head>
    <title></title>
</head>
<body>
    <style type="text/css">

        img[data-efecto="3D"]{
        border: 2px solid #000;
    }
        
    </style>


    <section>
        <img id="miImagen" src="miImagen.jpg" width="800" height="300" alt="Texto alt" 
        data-camara="Modelo de la camara que utilice"
        data-efecto="Efectos aplicados a esta foto"
        data-geo="Longitud y latitud"
        data-fecha="La fecha en que se tomo la foto"/>
    </section>

    <script type="text/javascript">

        var imgsConEfecto = document.querySelectorAll('img[data-efecto]');
        var camara = document.getElementById('miImagen').dataset.camara;

        var elemento = document.getElementById('miImagen');
        var cam = elemento.dataset.camara;

        var attribute = elemento.getAttribute("data-geo");
        elemento.setAttribute("data-geo", "someName");

        console.log( 'atributos data ');
        console.log( camara );

    </script>
</body>
</html>